### Method

# Camel UrlScanner add

#### Declaration [src]

    void
    camel_url_scanner_add (
      CamelUrlScanner* scanner,
      CamelUrlPattern* pattern
    )

#### Description [src]

Adds a new `pattern` into the scanner.

This method is not directly available to language bindings.

#### Parameters

`pattern`

  Type: `CamelUrlPattern`

  A `CamelUrlPattern` to add.

  The data is owned by the caller of the method.